#ifndef UTIL_H_WER402
#define UTIL_H_WER402

#include <cstdlib>
#include <string>
#include <sstream>

/**
 * Returns a random number from 0 to 5.
 */
float getRandF() {
  return (float)std::rand() / (float)RAND_MAX * 5.0f;
}

int getRandI() {
  return std::rand();
}

class Deleter {
public:
  template <typename T>
  void operator()( T* ta ) {
    delete ta;
  }
};

template <typename T>
std::string toString( const T& val ) {
  std::ostringstream os;
  os << val;
  return os.str();
}

#endif //UTIL_H_WER402
